/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: oct_ws_priv.c

Copyright (c) 2015 Octasic Inc. All rights reserved.

Description:	Wireshark private data

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Release: Octasic Application Development Framework OCTADF-04.00.00-B1829 (2015/07/02)

$Octasic_Revision: 4 $


\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
#ifndef __OCT_WS_PRIV_H__
#define __OCT_WS_PRIV_H__

/*****************************  INCLUDE FILES  *******************************/

/*****************************  DEFINES **************************************/
typedef struct
{
	guint16	total_packet_size;
	guint16	pktHdt_size;
	guint8	api_type;
	guint8	format;			/* PktFormat */
	guint8	trace_flag;
	guint16	padding;

}tOctWsPrivateData;

#endif /* __OCT_WS_PRIV_H__ */
