/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
File: octvc1_hw_api_priv_swap.h

Copyright (c) 2015 Octasic Inc. All rights reserved.

Description:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Release: OCTSDR Software Development Kit OCTSDR_GSM-02.03.00-B572 (2015/08/13)

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_HW_API_PRIV_SWAP_H__
#define __OCTVC1_HW_API_PRIV_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_priv_swap_hdrs.h"
#include "octvc1_hw_api_priv.h"

/*********************************  MACROS  **********************************/

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD * pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)->Header ); }  \
	((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)->ulPortIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)->ulPortIndex); \
	((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)->ulPassword = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD)->ulPassword); \
}
#else
#define mOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD_SWAP( pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP * pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP)->Header ); }  \
	((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP)->ulPortIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP *)pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP)->ulPortIndex); \
}
#else
#define mOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP_SWAP( pOCTVC1_HW_MSG_ETH_PORT_RESTRICTED_UNBLOCK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD * pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->Header ); }  \
	((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->ulDacInitValue = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->ulDacInitValue); \
	((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->ulSyncWindowSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->ulSyncWindowSize); \
	((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->lSyncThreshold = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD)->lSyncThreshold); \
}
#else
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD_SWAP( pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP * pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP)->Header ); }  \
}
#else
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP_SWAP( pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_START_SYNCHRO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD * pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD_SWAP( pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP * pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP *)pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP)->Header ); }  \
}
#else
#define mOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP_SWAP( pOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STOP_SYNCHRO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_HW_API_PRIV_SWAP_H__ */
